MVCSoftTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.mvcsoft.ejb.MVCSoftTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.mvcsoft.ejb
Class MVCSoftTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.tagshandler.ClassTagsHandler
                      xdoclet.modules.mvcsoft.ejb.MVCSoftTagsHandler

public class MVCSoftTagsHandler
extends ClassTagsHandler

Author:
  Daniel OConnor (docodan@mvcsoft.com)
xdoclet.taghandler
  namespace="MVCSoft"
created
  November 1, 2001

Field Summary
`protected static StringTokenizer` | `currentAliases`
`protected static String` | `currentColName`
`protected static String` | `currentFieldName`
`protected static xjavadoc.XParameter` | `currentQueryMethodParameter`
`protected static String` | `currentRoleName`
`protected static String` | `nested`

Fields inherited from class xdoclet.tagshandler.ClassTagsHandler
`dateFormatter, now`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`MVCSoftTagsHandler()`

Method Summary
`String` | `colName()` Describe what the method does
`String` | `fieldName()` Describe what the method does
`void` | `forAllAliases(String template)` Describe what the method does
`void` | `forAllQueryMethodParams(String template)` Describe what the method does
`void` | `forEachRoleMapping(String template)` Describe what the method does
`void` | `forNestedFaultGroups(String template)`
`void` | `forSingleRoleMapping(String template)` Describe what the method does
`void` | `ifHasSortDirection(String template)` Describe what the method does
`String` | `keyFieldName()` Describe what the method does
`String` | `methodParamType()` Describe what the method does
`String` | `nestedFaultGroups()`
`String` | `roleName()` Describe what the method does
`String` | `sortDirection()` Describe what the method does

Methods inherited from class xdoclet.tagshandler.ClassTagsHandler
`classComment, classCommentTags, classCommentText, className, classOf, classTagValue, classTagValueMatch, firstSentenceDescription, forAllClasses, forAllClassTags, forAllClassTagTokens, forAllDistinctClassTags, forAllDistinctClassTags, fullClassName, fullSuperclassName, fullTransformedClassName, getClassNameFor, getFullClassNameFor, ifClassTagValueEquals, ifClassTagValueMatches, ifClassTagValueNotEquals, ifDoesntHaveClassTag, ifHasClassTag, ifIsClassAbstract, ifIsClassNotAbstract, importedList, modifiers, pushClass, symbolicClassName, transformedClassName`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentQueryMethodParameter

    protected static xjavadoc.XParameter currentQueryMethodParameter

### currentAliases

    protected static StringTokenizer currentAliases

### currentRoleName

    protected static String currentRoleName

### currentFieldName

    protected static String currentFieldName

### currentColName

    protected static String currentColName

### nested

    protected static String nested

Constructor Detail

### MVCSoftTagsHandler

    public MVCSoftTagsHandler()

Method Detail

### methodParamType

    public String methodParamType()
                           throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### forAllQueryMethodParams

    public void forAllQueryMethodParams(String template)
                                 throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### fieldName

    public String fieldName()
                     throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### sortDirection

    public String sortDirection()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### ifHasSortDirection

    public void ifHasSortDirection(String template)
                            throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forEachRoleMapping

    public void forEachRoleMapping(String template)
                            throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forSingleRoleMapping

    public void forSingleRoleMapping(String template)
                              throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllAliases

    public void forAllAliases(String template)
                       throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### roleName

    public String roleName()
                    throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### keyFieldName

    public String keyFieldName()
                        throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### colName

    public String colName()
                   throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### forNestedFaultGroups

    public void forNestedFaultGroups(String template)
                              throws XDocletException

  Throws:
    `XDocletException`

### nestedFaultGroups

    public String nestedFaultGroups()
                             throws XDocletException

  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD